# Uses of Enum
org.xnio.CompressionType

Packages that use CompressionType
Package
Description
org.xnio
The main API package for XNIO.

## Uses of CompressionType in org.xnio

Fields in org.xnio with type parameters of type CompressionType
Modifier and Type
Field
Description
`static final Option<CompressionType>`
Options.`COMPRESSION_TYPE`
The compression type to apply for compressing streams and channels.
Methods in org.xnio that return CompressionType
Modifier and Type
Method
Description
`static CompressionType`
CompressionType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompressionType[]`
CompressionType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.